import {defineStore } from 'pinia'
export const useStore = defineStore('app',{
	state: ()=> {
		return {
			firstGo:0,
			token:'',
			ossInfo:{

			},
			info:{
				username:'admin'
			},
			tabs:[
				{
					icon:'home',
					selected_icon:'home-selected',
					name:'首页',
					show:true,
					path:'/home',
					key:'home'
				},{
					icon:'check',
					selected_icon:'check-selected',
					name:'签到',
					show:true,
					path:'/check',
					key:'check'
				},{
					icon:'scores',
					selected_icon:'scores-selected',
					name:'积分榜',
					show:true,
					path:'/scores',
					key:'scores'
				},{
					icon:'my',
					selected_icon:'my-selected',
					name:'我的',
					show:true,
					path:'/my',
					key:'my'
				}
			],
			active:''
		}
	},
	actions: {
		oss_info(data){
			this.ossInfo = data;
		},
		ACTIVE(data){
			this.active = data;
		},
		INFO(data){
			Object.assign(this.info,data);
		},
		TOKEN(data){
			this.token = data;
		},
		FirstGO(data){
			this.firstGo = data;
		}
	}
});
