// 自动生成模板QshToilet
package admin

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
)

// QshToilet 结构体
type QshToilet struct {
	global.GVA_MODEL
	Address      string `json:"address" form:"address" gorm:"column:address;comment:公厕地址;size:255;"`
	Image        string `json:"image" form:"image" gorm:"column:image;comment:点位图片;size:5000;"`
	Lat          string `json:"lat" form:"lat" gorm:"column:lat;comment:纬度;size:255;"`
	Lng          string `json:"lng" form:"lng" gorm:"column:lng;comment:经度;size:255;"`
	Manager      string `json:"manager" form:"manager" gorm:"column:manager;comment:管理人员;size:200;"`
	ManagerPhone string `json:"managerPhone" form:"managerPhone" gorm:"column:manager_phone;comment:管理员联系电话;size:100;"`
	MonitorId    string `json:"monitor_id" form:"monitor_id" gorm:"column:monitor_id;comment:监控信息;size:255;"`
	MonitorAc    string `json:"monitor_ac" form:"monitor_ac" gorm:"column:monitor_ac;comment:监控设备账号;size:255;"`
	YeweiDevice  string `json:"yewei_device" form:"yewei_device" gorm:"column:yewei_device;comment:液位设备id;"`
	Name         string `json:"name" form:"name" gorm:"column:name;comment:点位名称;size:198;"`
	ShowImage    string `json:"showImage" form:"showImage" gorm:"column:show_image;comment:展示图片;size:300;"`
	Type         *int   `json:"type" form:"type" gorm:"column:type;comment:公厕类型 1=>有动力 2=>无动力;"`
}

// TableName QshToilet 表名
func (QshToilet) TableName() string {
	return "qsh_toilet"
}
