package router

import (
	"github.com/flipped-aurora/gin-vue-admin/server/router/admin"
	"github.com/flipped-aurora/gin-vue-admin/server/router/example"
	"github.com/flipped-aurora/gin-vue-admin/server/router/system"
	"github.com/flipped-aurora/gin-vue-admin/server/router/web"
)

type RouterGroup struct {
	System  system.RouterGroup
	Example example.RouterGroup
	Admin   admin.RouterGroup
	Web     web.RouterGroup
}

var RouterGroupApp = new(RouterGroup)
