package v1

import (
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1/admin"
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1/example"
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1/system"
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1/web"
)

type ApiGroup struct {
	SystemApiGroup  system.ApiGroup
	ExampleApiGroup example.ApiGroup
	AdminApiGroup   admin.ApiGroup
	WebApiGroup     web.ApiGroup
}

var ApiGroupApp = new(ApiGroup)
