package web

import (
	"github.com/flipped-aurora/gin-vue-admin/server/model/common/response"
	"github.com/flipped-aurora/gin-vue-admin/server/service/web"
	"github.com/gin-gonic/gin"
)

var TypeService = new(web.TypeService)

func GetType(c *gin.Context) {
	typeData, err := TypeService.GetType()
	if err != nil {
		response.FailWithMessage(err.Error(), c)
		return
	}
	response.OkWithData(typeData, c)
}
