// 自动生成模板QshMonitorData
package admin

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
)

// QshMonitorData 结构体
type QshMonitorData struct {
	global.GVA_MODEL
	RawDeviceId string `json:"rawDeviceId" form:"rawDeviceId" gorm:"column:raw_device_id;comment:原始设备id;size:50;"`
	ToiletId    int    `json:"toiletId" form:"toiletId" gorm:"column:toilet_id;comment:公厕id;size:10;"`
	TypeName    string `json:"typeName" form:"typeName" gorm:"column:type_name;comment:数据类型;size:50;"`
	Unit        string `json:"unit" form:"unit" gorm:"column:unit;comment:数据值单位;size:50;"`
	Value       string `json:"value" form:"value" gorm:"column:value;comment:数据值;size:50;"`
}

// TableName QshMonitorData 表名
func (QshMonitorData) TableName() string {
	return "qsh_monitor_data"
}
