// 自动生成模板QshPartol
package admin

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
)

// QshPartol 结构体
type QshPatrol struct {
	global.GVA_MODEL
	Content     string    `json:"content" form:"content" gorm:"column:content;comment:巡检内容;"`
	Description string    `json:"description" form:"description" gorm:"column:description;comment:异常描述;size:300;"`
	Image       string    `json:"image" form:"image" gorm:"column:image;comment:巡检图片多个逗号分隔;"`
	PartolName  string    `json:"partolName" form:"partolName" gorm:"column:partol_name;comment:巡视人;size:255;"`
	Title       string    `json:"title" form:"title" gorm:"column:title;comment:工单标题;size:255;"`
	ToiletId    int       `json:"toiletId" form:"toiletId" gorm:"column:toilet_id;comment:巡检公厕;size:10;"`
	Type        int       `json:"type" form:"type" gorm:"column:type;comment:巡检类型 1=>一体化设备 2=>玻璃钢;"`
	Toilet      QshToilet `json:"toilet" form:"toilet" gorm:"foreignkey:ID;references:ToiletId"`
}

// TableName QshPartol 表名
func (QshPatrol) TableName() string {
	return "qsh_patrol"
}
